<?php

declare(strict_types=1);

namespace App\Http\Requests\Comment;

use Illuminate\Foundation\Http\FormRequest;

class UpdateCommentRequest extends FormRequest
{
  public function authorize(): bool
  {
    return true;
  }

  public function rules(): array
  {
    return [
      'body' => ['sometimes', 'required', 'string', 'min:2', 'max:2000'],
      'category' => ['nullable', 'string', 'max:80'],
    ];
  }
}
